Bug 522009 - Firefox fails with a SIGILL signal while attempting to play flash content
Summary: Firefox fails with a SIGILL signal while attempting to play flash content
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 11
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-09 05:14 UTC by Mark Harig
Modified: 2018-04-11 14:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-30 16:39:18 UTC


Attachments (Terms of Use)
gdb stack trace of firefox signalling SIGILL (21.69 KB, text/plain)
2009-09-09 05:14 UTC, Mark Harig
no flags Details
Updated stack trace of firefox signalling SIGILL using Firefox 3.5.3-1 (23.09 KB, text/plain)
2009-09-12 16:32 UTC, Mark Harig
no flags Details

Description Mark Harig 2009-09-09 05:14:52 UTC
Created attachment 360160 [details]
gdb stack trace of firefox signalling SIGILL

Description of problem:
Firefox fails with a SIGILL (not a SIGSEGV) when I attempt to play flash content at the URL listed (in step 3) below.

Version-Release number of selected component (if applicable):
$ rpm -q firefox
firefox-3.5.2-2.fc11.x86_64

Adobe flash player 10.0.32.18, 64-bit from:
http://download.macromedia.com/pub/labs/flashplayer10/libflashplayer-10.0.32.18.linux-x86_64.so.tar.gz

$ sha1sum libflashplayer.so
8ec78fc69293eccc6aad3cb6272ba6356a522fe0  libflashplayer.so

How reproducible:
Every time I attempt to play the content at the URL listed in the stack trace.


Steps to Reproduce:
Install Fedora 11 for x86_64.  Apply all recent updates.  Download the flash player library from the URL listed above and copy it to the directory ~/.mozilla/plugins/ (only).

At bash prompt, enter:
1. $ rm -rf ~/tmp/new-profile && mkdir ~/tmp/new-profile
2. $ cd ~/.mozilla/plugins/
3. $ /usr/bin/firefox -g -d gdb -profile ~/tmp/new-profile -no-remote 'http://www.youtube.com/falltvpreview'
  
Actual results:
Firefox fails with a SIGILL signal.

Expected results:
Play the flash content, as occurs on Fedora 10.

Some flash content does not cause Firefox/flash player to fail, for example
/usr/bin/firefox 'http://www.youtube.com/watch?v=32wIKaLkvc4&NR=1'


Additional info:
I will attach a copy of the large, multi-threaded stack trace for this failure.

Comment 1 Mark Harig 2009-09-12 16:32:12 UTC
Created attachment 360795 [details]
Updated stack trace of firefox signalling SIGILL using Firefox 3.5.3-1

Here is an updated stack trace using Firefox 3.5.3-1.  Also, '-safe-mode' has been added to the command-line options that are passed to firefox.

$ rpm -q firefox xulrunner
firefox-3.5.3-1.fc11.x86_64
xulrunner-1.9.1.3-1.fc11.x86_64

$ rpm -V firefox xulrunner && echo $?
0

Comment 2 Matěj Cepl 2009-09-30 16:39:18 UTC
Sorry, this is a crash in the flash plugin itself with which we cannot help. You would be much better by installing libflashplugin.so to %{_libdir}/mozilla/plugins and installing nspluginwrapper (if using 32bit plugin from http://get.adobe.com/flashplayer/thankyou/?installer=Flash_Player_10_for_Linux_(YUM) then you need both 32bit and 64bit version of nspluginwrapper, if using 64bit alpha version from http://labs.adobe.com/technologies/flashplayer10/ then you need only 64bit version). Then restart firefox (and you can check with mozilla-plugin-config -l that the plugin got installed correctly).

In case flash plugin crashes now, the only thing would be that you get a grey rectangle in place where the plugin should be shown. Reload the page and off you go.


Note You need to log in before you can comment on or make changes to this bug.